/* mbed Microcontroller Library
 * Copyright (c) 2019 ARM Limited
 * SPDX-License-Identifier: Apache-2.0
 */ 



#include "mbed.h"


PwmOut moteur1_1(PA_10); 
PwmOut moteur1_2(PA_15);
PwmOut moteur2_1(PB_14);
PwmOut moteur2_2(PB_13);
PwmOut moteur3_1(PB_8);
PwmOut moteur3_2(PC_9);
DigitalIn bouton(PC_13);


int main() { // Fonction qui fait tourner le robot dans un sens ou dans l'autre
    moteur1_1.period_ms(10);
    moteur1_2.period_ms(10);
    moteur2_1.period_ms(10);
    moteur2_2.period_ms(10);
    moteur3_1.period_ms(10);
    moteur3_2.period_ms(10);
    moteur1_1.write(0);
    moteur1_2.write(0);
    moteur2_1.write(0);
    moteur2_2.write(0);
    moteur3_1.write(0);
    moteur3_2.write(0);
    while(1){ 
    
        if(bouton == 1){
                moteur1_2.write(0);
                moteur1_1.write(1);
                moteur2_2.write(0);
                moteur2_1.write(1);
                moteur3_2.write(0);
                moteur3_1.write(1);
            }
        else{ // changement de sens de la rotation
                moteur1_1.write(0);
                moteur1_2.write(1);
                moteur2_1.write(0);
                moteur2_2.write(1);
                moteur3_1.write(0);
                moteur3_2.write(1);
            }
    
    }
}